<?php

namespace App\Filament\Resources\AlumniMemberResource\Pages;

use App\Filament\Resources\AlumniMemberResource;
use Filament\Actions;
use Filament\Resources\Pages\EditRecord;
use Illuminate\Support\Facades\Gate;
class EditAlumniMember extends EditRecord
{
    protected static string $resource = AlumniMemberResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\DeleteAction::make()
                ->visible(fn () => Gate::allows('delete alumnimember')),
        ];
    }
}